## util-vserver 0.30.210-8bpo2

=== man/Makefile ===
all: vserver.8 vserver-build.8

%.8: %.pod
	pod2man --section=8 --center=util-vserver --release=util-vserver $< $@

vserver.8: vserver.pod
vserver-build.8: vserver-build.pod
