=== debian/changelog ===
util-vserver (0.30.210-8bpo2) sarge-backports; urgency=low

  * Update vserver bash completion script to one thats not broken

 --  <micah@sarge.pond.riseup.net>  Sun, 11 Jun 2006 14:55:05 +0000

util-vserver (0.30.210-8bpo1) sarge-backports; urgency=low

  * Update build against 0.30.210-9, adds recommends on debootstrap 
    and yum, adds french translation, start vserers patch updated and 
    vserver bash completion script added (Closes: #371088)
  * Updated Build-depends to also include explicit libbeecrypt6,
    necessary for backport's buildds to pick up the right stuff

 -- Micah Anderson <micah@debian.org>  Sun, 11 Jun 2006 04:20:01 +0000

util-vserver (0.30.210-7bpo1) sarge-backports; urgency=low
  
  * Build against 0.30.210-8 to fix vdirbase symlink,
    extra installed files, update vcontext, chroot barrier,
    ability to install fedora core 5 guests, and other fixes
  * Update debian/control to have specific backports version depends
    
 -- Micah Anderson <micah@debian.org>  Wed, 19 Apr 2006 13:49:52 +0000

util-vserver (0.30.210-5bpo1) sarge-backports; urgency=low

  * Build against 0.30.210-6 to resolve vlogin, delete
    and removed build-dep on dietlibc

 -- Micah Anderson <micah@debian.org>  Fri,  7 Apr 2006 14:26:16 -0400

util-vserver (0.30.210-4bpo1) sarge-backports; urgency=low

  * Unstable version 0.30.210-5 recompiled for <http://www.backports.org/>
  * Add --enable-apis=NOLEGACY to configure in debian/rules to allow
    tools to work with sarge kernels
  * Conflict with vserver-debiantools

 -- Micah Anderson <micah@debian.org>  Tue,  4 Apr 2006 18:03:16 -0400

util-vserver (0.30.210-8) unstable; urgency=low

  * Removed build-time tests from debian/rules (Closes: #362887)
  * Update description to fix URL (Closes: #363342)
  * Update description to be more up to date (Closes: #363343)
  * Fix replacement of /etc/vservers/.defaults/vdirbase even if it
    has been modified locally (Closes: #361382)

 -- Micah Anderson <micah@debian.org>  Sun, 16 Apr 2006 00:37:27 -0400

util-vserver (0.30.210-7) unstable; urgency=low

  * Fixed extra file installed in /etc/default (Closes: #361374)
  * Updated vcontext --uid patch fixing segfaults when called with 
    incorrect usernames, and missing hunks for chkconfig in scripts/vserver
  * Updated chroot barrier setting in initscript
  * Added build-time tests to debian/rules
  * Added apis patch to fix a typo and allowing for specifying oldproc and
    olduts in --enable-apis in configure
  * Added condrestart patch to fix conditional restarts in 'vserver'
  * Added cpuset support patch 
  * Added patch to fix nice function
  * Added prefix configure patch fix
  * Added patch to warn that gentoo initstyle is not an option
  * Added patch to fix start-vservers --all -stop not actually stopping all
    vservers, just marked ones
  * Added patch to fix vserver usage message to be more clear
  * Added a patch that lets you install Fedora Core 5 guests
  * Thanks go to Daniel Hokka Zakrisson!

 -- Micah Anderson <micah@debian.org>  Fri,  7 Apr 2006 16:57:06 -0400

util-vserver (0.30.210-6) unstable; urgency=low

  * Updated vserver delete patch 
  * Updated vlogin patch to 1.10

 -- Micah Anderson <micah@debian.org>  Thu,  6 Apr 2006 13:33:10 -0400

util-vserver (0.30.210-5) unstable; urgency=low

  * Added patch for vnamespace cleanup, allows you
    to touch /etc/vserver/<vsname>/namespace-cleanup or
    touch /etc/vservers/.defaults/namespace-cleanup globally,
    thanks to Bastian Blank (Closes: #360983)
  * Add patch to cleanup s390 and sparc64 clone_arch, thanks
    to Daniel Hokka Zakrisson (Closes: #361007)
  * Updated vlogin patch, now handles echo better

 -- Micah Anderson <micah@debian.org>  Wed,  5 Apr 2006 16:27:43 -0400

util-vserver (0.30.210-4) unstable; urgency=low

  * Move barrier on non-directories to initscript to try and get
    corner cases (Closes: #360885)
  * Add missing db_stop to postinst

 -- Micah Anderson <micah@debian.org>  Tue,  4 Apr 2006 12:29:06 -0400

util-vserver (0.30.210-3) unstable; urgency=low

  * Removed bashisms from initscript (Closes: #360675)
  * Fixed init script setting barrier on non-directories (Closes: #360765)
  * Updated debconf templates to follow developers reference (Closes: #360755)
  * Added vlogin patch from Daniel Hozac

 -- Micah Anderson <micah@debian.org>  Mon,  3 Apr 2006 11:19:16 -0400

util-vserver (0.30.210-2) unstable; urgency=low

  * Add dpatch to build-depends (Closes: #360563)

 -- Micah Anderson <micah@debian.org>  Sun,  2 Apr 2006 22:12:47 -0400

util-vserver (0.30.210-1) unstable; urgency=low

  * New upstream release (Closes: #343277, #307980)
  * Replaced upstream init scripts with a single init script that
    uses /etc/defaults and attempts to set the chroot barrier on start
  * Added debconf templates to ask if vservers should be controlled by boot
  * Added debconf templates on purge to ask about removing the entire
    /etc/vservers directory
  * Fixed things so we clean up after ourselves on uninstall (Closes: #348234)
  * Fixed start-vservers improper temp file cleanup (Closes: #351556)
  * Added patch to fix s390 clone syscall reversal (Closes: #356417)
  * Change name of testme scripts to be consistant with upstream
  * Add vschedcalc example script for calculating token buckets
  * Add patch to fix suexec from host with an invalid ID running as root
    (Closes: #360438)
  * Add patch to fix vattribute bcaps not being reset
  * Add patch to make chcontext behave as expected with --secure
  * Add patch to add vserver delete option
  * Moved make from a Recommends to a Depends (Closes: #327577)
  * Updated syscall-alternatives.h to -shiny10 patch

 -- Micah Anderson <micah@debian.org>  Thu,  2 Feb 2006 09:45:30 -0500

util-vserver (0.30.209-2) unstable; urgency=low

  * Include delta-0.30.209-shiny8.diff fixing syscalls for mips
    kudos to Greek0 and Bertl
  * Enable hppa build in debian/rules as it is now supported 

