=== debian/control ===
Source: util-vserver
Section: net
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Uploaders: Micah Anderson <micah@debian.org>
# Reasons for the Build-Depends:
# * Legacy scripts require:
#     net-tools because of nameif
#     vlan      because of vconfig
#     dietlibc  the libc NSS should not be used
#     beecrypt2-dev to build vhashify
Build-Depends: debhelper (>= 4.1.16e), e2fslibs-dev, gawk, autotools-dev, dietlibc-dev (= 0.29-9bpo1), net-tools, vlan, iptables, wget, procps, modutils|module-init-tools, autoconf (>= 2.52), libbeecrypt6 (>= 4.1.2-3bpo1), libbeecrypt6-dev (>= 4.1.2-3bpo1), po-debconf, dpatch
Standards-Version: 3.6.2

Package: util-vserver
Architecture: any
Depends: ${shlibs:Depends}, iproute, net-tools, make, debconf
Suggests: kernel-patch-vserver, vlan, iptables, wget, procps, modutils|module-init-tools, yum
Recommends: binutils, debootstrap
Conflicts: vserver, vpopmail-bin, vserver-debiantools
Replaces: vserver
Description: user-space tools for Linux-Vserver virtual private servers
 The util-vserver project provides the user-space tools for creating and
 managing the virtualization technology known as vservers. Vservers are a 
 significantly advanced jail mechanism running inside a host linux server.
 Vservers can be used to securely partition resources such as processes, 
 memory, network; logically separate services or run entirely different
 distributions all on a single system. Virtual private servers are separated
 from each other through security contexts, and as a result are completely
 unaware of each other, or of the host itself. 
 .
 http://linux-vserver.org/
 https://savannah.nongnu.org/projects/util-vserver/
