=== debian/watch ===
version=2

http://www.13thfloor.at/vserver/s_rel26/v2.0/ util-vserver-(.*)\.tar\.gz
