## util-vserver 0.30.216~r2772-6~bpo40+1

=== debian/changelog ===
util-vserver (0.30.216~r2772-6~bpo40+1) etch-backports; urgency=low

  * Backport testing version for backports.org
  * Change Build-dep to require 0.31-1.2~bpo40+1 or newer of dietlibc

 -- Micah Anderson <micah@debian.org>  Tue, 13 Jan 2009 12:12:23 -0700

util-vserver (0.30.216~r2772-6) unstable; urgency=medium

  * Added patch from Andres Mejia to fix bashisms (Closes: #486060)
  * Build on powerpc without the alternative syscalls, to fix
    vattribute: vc_set_ccaps(): Interrupted system call problem.
    Thanks to John H. Robinson, IV" <jaqque@debian.org> (Closes: #508569)

 -- Micah Anderson <micah@debian.org>  Fri, 28 Nov 2008 15:59:56 -0500

util-vserver (0.30.216~r2772-5) unstable; urgency=low

  * Added debian/patches/70vserverbuild_cronfix.dpatch to fix
    disabled cron problem
  * Added debian/patches/80supportapiandcaps.dpatch to update the 
    API to fix the 2.6.27 regression (Closes: #505521) and solves 
    the capability inversion issue. (Closes: #506949)
  * Added Swedish translation, thanks Martin Bagge (Closes: #504033)

 -- Micah Anderson <micah@debian.org>  Fri, 28 Nov 2008 11:13:39 -0500

util-vserver (0.30.216~r2772-4~bpo40+2) etch-backports; urgency=low

  * Added missing dependency on schedutils

 -- Micah Anderson <micah@debian.org>  Sat,  8 Nov 2008 20:10:20 +0000

util-vserver (0.30.216~r2772-4~bpo40+1) etch-backports; urgency=low

  * Backport testing version for backports.org
  * Change build-dep on dietlibc-dev to use the bpo version

 -- Micah Anderson <micah@debian.org>  Sat,  8 Nov 2008 19:49:03 +0000

util-vserver (0.30.216~r2772-4) unstable; urgency=low

  * Added /dev/shm to be created on vserver build for POSIX 
    compliance (Closes: #504780)
  * Added debian/patches/60securecaps.dpatch to change the default 
    policy to assume all capabilities are unsafe, unless they are
    specifically listed.
  * Fix incorrect $(CURDIR) usage in debian/rules (Closes: #307980)

 -- Micah Anderson <micah@debian.org>  Fri, 07 Nov 2008 13:13:29 -0500

util-vserver (0.30.216~r2772-3) unstable; urgency=low

  * Add versioned depends on util-linux (Closes: #499857) 

 -- Micah Anderson <micah@debian.org>  Sat, 04 Oct 2008 12:52:21 -0400

util-vserver (0.30.216~r2772-2) unstable; urgency=low

  * Fix initscript stop blocking reboot/shutdown (Closes: #496803)
  * Add 20securemount.dpatch and 30secmount_dev_fix.dpatch
    to fix -ro bindmounts becoming -rw

 -- Micah Anderson <micah@debian.org>  Mon, 25 Aug 2008 13:07:42 -0400

util-vserver (0.30.216~r2772-1) unstable; urgency=medium

  * Update to version that will work with the lenny kernel
  * Removed patches/50fix-syslogd-ignore-mask.dpatch as this has
    been incorporated upstream

 -- Micah Anderson <micah@debian.org>  Mon, 25 Aug 2008 12:40:21 -0400

util-vserver (0.30.216~r2750-3) unstable; urgency=medium

  * Fix incorrect removal of rsyslog in inittpost resulting
    in guests not starting properly, due to lenny release goal
    of switching to rsyslog (Closes: #491072)

 -- Micah Anderson <micah@debian.org>  Fri, 25 Jul 2008 15:48:00 -0400

util-vserver (0.30.216~r2750-2) unstable; urgency=medium

  * Make configure script executable for buildds (Closes: #492093)

 -- Micah Anderson <micah@debian.org>  Fri, 25 Jul 2008 15:31:18 -0400

util-vserver (0.30.216~r2750-1) unstable; urgency=medium

  * Upgrade to svn revision 2750
  * Remove unneeded 20newapi.dpatch
  * Updated standards version to 3.8.0 (no changes)

 -- Micah Anderson <micah@debian.org>  Sat, 19 Jul 2008 16:44:37 -0400

util-vserver (0.30.215-4) unstable; urgency=low

  * add patch 20newapi.dpatch which supports new kernel 
    API headers this is needed because debian's 
    linux-libc-dev is at 2.6.25 (Closes: #484479)

 -- Micah Anderson <micah@debian.org>  Sun, 01 Jun 2008 23:43:01 -0400

util-vserver (0.30.215-3) unstable; urgency=low

  * Remove bashism from initscript (Closes: #472889)

 -- Micah Anderson <micah@debian.org>  Thu, 27 Mar 2008 12:04:28 -0400

util-vserver (0.30.215-2) unstable; urgency=low

  * Bump version due to upload to TPU: epic fail

 -- Micah Anderson <micah@debian.org>  Tue, 18 Mar 2008 14:21:48 -0400

util-vserver (0.30.215-1) unstable; urgency=low

  * New upstream release
  * Update update-rc.d remove call to remove the right startup links
  * Removed 20freshenvserverman, 30createvserver-buildman as these 
    have moved upstream
  * Updated testfs.sh example script to version 18
  * Add --no-restart-on-upgrade to debian/rules dh_installinit 
    (Closes: #456996)
  * Updated debian/copyright to have correct upstream URL and copyright 
    info
  * Added -n to debian/rules dh_makeshlibs and dh_installdebconf so 
    duplicate updaterc.d calls in package scripts are removed

 -- Micah Anderson <micah@debian.org>  Mon, 17 Mar 2008 12:21:06 -0400

util-vserver (0.30.214-6) unstable; urgency=low

  * Add Homepage, Vcs-Browser, Vcs-Svn fields to debian/control
  * Add checks to make sure the .pkg and .hash directories are created
  * Add chroot barrier on .pkg and .hash directory
  * Adjust debian/watch file to find packages properly (Closes: #449670) 
  * Actually add the vserver-build man page 
  * Updated Standards version to 3.7.3 (no changes)
  * Remove Suggests on kernel-patch-vserver
  * Fixed some lintian errors

 -- Micah Anderson <micah@debian.org>  Fri, 07 Dec 2007 12:36:09 -0500

util-vserver (0.30.214-5) unstable; urgency=medium

  * Added patch to make default/util-vserver options work with
    both 'yes' and 'true, also removes extra $ in message due
    to bashism (Closes: #448439)
  * Fixed bad test in preinst (Closes: #448797)

 -- Micah Anderson <micah@debian.org>  Tue, 30 Oct 2007 10:52:51 -0400

util-vserver (0.30.214-4) unstable; urgency=medium

  * Fix incorrectly created directory
    /usr/lib/util-vserver/distributions/etch (Closes: #447296)
  * Remove /etc/vservers.conf from being distributed, this functionality is
    in /etc/defaults/util-vserver in Debian (Closes: #444798)

