=== debian/control ===
Source: util-vserver
Section: net
Priority: optional
Maintainer: Micah Anderson <micah@debian.org>
Uploaders: Ola Lundqvist <opal@debian.org>
# Reasons for the Build-Depends:
# * Legacy scripts require:
#     net-tools because of nameif
#     vlan      because of vconfig
#     dietlibc  the libc NSS should not be used
#     beecrypt2-dev to build vhashify
#     e2fslibs-dev needed for 'FS_IOC_GETFLAGS' declaration
Build-Depends: debhelper (>= 4.1.16e), gawk, autotools-dev, dietlibc-dev (>= 0.31-1.2~bpo40+1), net-tools, vlan, iptables, wget, procps, module-init-tools, autoconf (>= 2.52), libbeecrypt6-dev (>= 4.1.2-2), po-debconf, dpatch, libtool, automake1.9, e2fslibs-dev, schedutils
Standards-Version: 3.7.3
Homepage: http://savannah.nongnu.org/projects/util-vserver/
Vcs-Svn: svn+ssh://svn.debian.org/svn/pkg-vserver/util-vserver/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-vserver/util-vserver/trunk/

Package: util-vserver
Architecture: any
Depends: ${shlibs:Depends}, iproute, net-tools, make, debconf, schedutils
Suggests: linux-image-2.6 (>= 2.6.16-17), vlan, iptables, wget, procps, module-init-tools, yum
Recommends: binutils, debootstrap
Conflicts: vserver, vpopmail-bin
Replaces: vserver
Description: user-space tools for Linux-VServer virtual private servers
 The util-vserver project provides the user-space tools for creating and
 managing the virtualization technology known as Linux-Vserver guests. 
 Linux-Vserver guests are a significantly advanced jail mechanism running 
 inside a host GNU-Linux server. Linux-Vserver guests can be used to 
 securely partition resources such as processes, memory, network; logically 
 separate services or run entirely different distributions all on a single 
 system. Virtual private servers are separated from each other through security 
 contexts, and as a result are completely unaware of each other, or of the 
 host itself. 
 .
 http://linux-vserver.org/
 http://ftp.linux-vserver.org/pub/utils/util-vserver/
