=== debian/rules ===
--- 
+++ 
@@ -25,21 +25,22 @@
 
 # Some checks to avoid building on some arches as there is no reserved syscalls
 # for the Linux kernel on this arch.
-ifeq ($(DEB_HOST_ARCH),arm)
-    do_not_buid_this_arch
-endif
+#ifeq ($(DEB_HOST_ARCH),arm)
+#	do_not_buid_this_arch
+#endif
 
-#ifeq ($(DEB_HOST_ARCH),powerpc)
+ifeq ($(DEB_HOST_ARCH),powerpc)
 #    # dietlibc's sys/types.h tests for "powerpc", not "__powerpc__"
 #    CFLAGS += -Dpowerpc
-#endif
+     confflags += --disable-alternative-syscalls
+endif
 
 # Commented out as it do no longer build with this...
 ifeq ($(DEB_HOST_ARCH),sparc)
     # Targetting at older sparc's causes compilation errors. Steve Langasek
     # says this works and it is anyway the oldest sparc generation we
     # support in Debian (or kernel/glibc).
-    CFLAGS += -mcpu=v8
+	CFLAGS += -mcpu=v8
 endif
 
 ifeq ($(DEB_HOST_ARCH),hppa)
@@ -61,13 +62,14 @@
 # Fix to make it build on hppa, mipsel and s390
 # If this is not fixed, gcc is invoked as a cross compiler.
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
-   confflags += --build $(DEB_HOST_GNU_TYPE)
+	confflags += --build $(DEB_HOST_GNU_TYPE)
 else
-   confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
+	confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
 config.status: configure
 	dh_testdir
+#	$(MAKE) -f Makefile.svn
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	if [ -f config.sub ];then mv config.sub config.sub.orig;fi
 	ln -s /usr/share/misc/config.sub config.sub
@@ -77,13 +79,13 @@
 	ln -s /usr/share/misc/config.guess config.guess
 endif
 	# Add here commands to configure the package.
+	chmod +x ./configure
 	CFLAGS="$(CFLAGS)" ./configure $(confflags) \
 				--prefix=/usr --enable-release \
 				--mandir=\$${prefix}/share/man \
 				--infodir=\$${prefix}/share/info \
 				--sysconfdir=/etc --enable-dietlibc \
 				--localstatedir=/var \
-				--enable-apis=NOLEGACY \
 				--with-vrootdir=/var/lib/vservers
 
 build: patch build-stamp
@@ -92,7 +94,6 @@
 	dh_testdir
 	# Add here commands to compile the package.
 	$(MAKE) $(MAKE_OPTS) all
-	$(MAKE) -C man
 
 	touch build-stamp
 
@@ -102,8 +103,8 @@
 	rm -f build-stamp 
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
-	-$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f config.status config.log config.sub config.guess
 	if [ -f config.sub.orig ];then \
 		rm -f config.sub; \
@@ -135,17 +136,21 @@
 	rm -f $(CURDIR)/debian/util-vserver/etc/init.d/vservers-default
 	rm -f $(CURDIR)/debian/util-vserver/etc/init.d/rebootmgr
 	rm -f $(CURDIR)/debian/util-vserver/etc/init.d/vprocunhide
+	rm -f $(CURDIR)/debian/util-vserver/etc/vservers.conf
 
-	# have to remove v_ init scripts
+	# remove legacy binaries
+	rm -rf $(CURDIR)/debian/util-vserver/usr/lib/util-vserver/legacy
+	rm -f $(CURDIR)/debian/util-vserver/usr/sbin/vserver-copy
+
+	# legacy man pages
+	rm -f $(CURDIR)/debian/util-vserver/usr/share/man/man8/distrib-info.8
+	rm -f $(CURDIR)/debian/util-vserver/usr/share/man/man8/vserver-copy.8
+	rm -f $(CURDIR)/debian/util-vserver/usr/share/man/man8/rebootmgr.8
+	rm -f $(CURDIR)/debian/util-vserver/usr/share/man/man8/vps.*
+
+	# legacy initscripts
 	rm -f $(CURDIR)/debian/util-vserver/etc/init.d/v_*
-	# remove newvserver.defaults (because that is linuxconf and that is not supported in debian).
-	#rm -f $(CURDIR)/debian/util-vserver/etc/vservers/newvserver.defaults
-#	# Move util-vserver-vars to /etc/vservers as it is needed for legacy support
-#	grep -v "Id: util-vserver-vars.pathsubst,v" \
-#		$(CURDIR)/debian/util-vserver/usr/lib/util-vserver/util-vserver-vars \
-#		> $(CURDIR)/debian/util-vserver/etc/vservers/util-vserver-vars
-#	rm -f $(CURDIR)/debian/util-vserver/usr/lib/util-vserver/util-vserver-vars
-#	ln -s /etc/vservers/util-vserver-vars $(CURDIR)/debian/util-vserver/usr/lib/util-vserver/util-vserver-vars
+
 	# Fix for symlinks in /etc/vservers/.defaults
 	rm -f $(CURDIR)/debian/util-vserver/etc/vservers/.defaults/vdirbase
 	rm -f $(CURDIR)/debian/util-vserver/etc/vservers/.defaults/run.rev
@@ -154,13 +159,7 @@
 	's|^(.*DEFAULT_VSERVERDIR=).*$$|$$1"/etc/vservers/.defaults/vdirbase"|;' \
 		debian/util-vserver/usr/lib/util-vserver/util-vserver-vars
 
-	# Remove development files as they are not supported upstream in a
-	# proper way.
-#	rm -rf $(CURDIR)/debian/util-vserver/usr/include/
-#	rm -f $(CURDIR)/debian/util-vserver/usr/lib/*.so*
-#	rm -f $(CURDIR)/debian/util-vserver/usr/lib/*.a
-#	rm -rf $(CURDIR)/debian/util-vserver/usr/lib/pkgconfig
-
+	# Install bash completion
 	mkdir -p $(CURDIR)/debian/util-vserver/etc/bash_completion.d
 	cp $(CURDIR)/debian/vserver.bash_completion $(CURDIR)/debian/util-vserver/etc/bash_completion.d/vserver
 
@@ -179,14 +178,14 @@
 	dh_installchangelogs ChangeLog
 	dh_installdocs
 	dh_installexamples
-	dh_installdebconf	
-	dh_installinit
+	dh_installdebconf -n
+	dh_installinit -r
 	dh_installman
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs
+	dh_makeshlibs -n
 	dh_installdeb
 	dh_shlibdeps -L util-vserver -l debian/util-vserver/usr/lib
 	dh_gencontrol
