=== debian/watch ===
version=2

http://ftp.linux-vserver.org/pub/utils/util-vserver/ util-vserver-(.*)\.tar\.bz2
