## util-vserver 0.30.216-pre2864

=== debian/changelog ===
util-vserver (0.30.216-pre2864-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Fix bashisms in helper scripts (Closes: #530995)
  
 -- Micah Anderson <micah@debian.org>  Tue, 13 Apr 2010 12:36:17 -0400

util-vserver (0.30.216-pre2864-1) unstable; urgency=low

  * New upstream pre-release (Closes: #542751)
  
 -- Micah Anderson <micah@debian.org>  Sat, 28 Nov 2009 18:30:19 -0500

util-vserver (0.30.216~r2855-1) unstable; urgency=low

  * Upgrade to latest svn snapshot
  * Upgrade standards version: no changes
  * Remove patches/70vserverbuild_cronfix.dpatch
  * Fix pending l10n issues. Debconf translations:
    . Japanese (Hideki Yamane (Debian-JP)).  Closes: #512856
    . Italian (Luca Monducci).  Closes: #551921
    . Russian (Yuri Kozlov).  Closes: #537916
    . Basque (Piarres Beobide).  Closes: #553154
    . Finnish (Esko Arajärvi).  Closes: #553651

 -- Micah Anderson <micah@debian.org>  Thu, 05 Nov 2009 16:00:30 -0500

util-vserver (0.30.216~r2842-2) unstable; urgency=low

  * Added pkg-config to build-depends to fix FTBS (Closes: #536680)

 -- Micah Anderson <micah@debian.org>  Mon, 20 Jul 2009 06:44:38 -0400

util-vserver (0.30.216~r2842-1) unstable; urgency=low

  * Remove /var/run directories from the package, they are managed
    by the initscript
  * Add set -e to util-vserver.preinst
  * Removed var/lock/sybsys, var/run/vservers.rev var/run/vservers 
    and var/run/vshelper from debian/dirs as these are managed by 
    the initscript
  * Added ${misc:Depends} to Depends
  * Update debhelper compatibility to 5
  * Update standards version (no changes)
  * Update Build-depends for new libbeecrypt-dev name (Closes: #536452).
  * Update Build-depends to also build against libnss3-dev
  * Remove 20securemount.dpatch, 30secmount_dev_fix.dpatch, 50dev_shm.dpatch
    60securecaps.dpatch, 80supportapiandcaps.dpatch as these are now part of 
    the new snapshot
  * Update to newer upstream snapshot (Closes: #524977)

 -- Micah Anderson <micah@debian.org>  Thu, 09 Jul 2009 22:49:33 -0400

util-vserver (0.30.216~r2772-7) unstable; urgency=low

   * Remove owned and unowned files after purge (Closes:#527065)            
     Thanks to Andrew Lee for the patch!  

 -- Micah Anderson <micah@debian.org>  Sun, 14 Jun 2009 16:47:10 +0000
