=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
 #     dietlibc  the libc NSS should not be used
 #     beecrypt2-dev to build vhashify
 #     e2fslibs-dev needed for 'FS_IOC_GETFLAGS' declaration
-Build-Depends: debhelper (>= 4.1.16e), gawk, autotools-dev, dietlibc-dev (>= 0.31-1.2~bpo40+1), net-tools, vlan, iptables, wget, procps, module-init-tools, autoconf (>= 2.52), libbeecrypt6-dev (>= 4.1.2-2), po-debconf, dpatch, libtool, automake1.9, e2fslibs-dev, schedutils
-Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 5), gawk, autotools-dev, dietlibc-dev (>= 0.31-1.1), net-tools, vlan, iptables, wget, procps, module-init-tools, autoconf (>= 2.52), libbeecrypt-dev (>= 4.1.2-2), po-debconf, quilt (>= 0.40), libtool, automake1.9, e2fslibs-dev, libnss3-dev, pkg-config
+Standards-Version: 3.8.3
 Homepage: http://savannah.nongnu.org/projects/util-vserver/
 Vcs-Svn: svn+ssh://svn.debian.org/svn/pkg-vserver/util-vserver/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-vserver/util-vserver/trunk/
 
 Package: util-vserver
 Architecture: any
-Depends: ${shlibs:Depends}, iproute, net-tools, make, debconf, schedutils
+Depends: ${misc:Depends}, ${shlibs:Depends}, iproute, net-tools, make, debconf, util-linux (>= 2.13.1.1-1)
 Suggests: linux-image-2.6 (>= 2.6.16-17), vlan, iptables, wget, procps, module-init-tools, yum
 Recommends: binutils, debootstrap
 Conflicts: vserver, vpopmail-bin
