=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 export DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-include /usr/share/dpatch/dpatch.make
+include /usr/share/quilt/quilt.make
 
 # (Most of) the files this concerns belong to /usr/lib/util-vserver.
 # To keep referencing simple, and because we're not even sure there
@@ -158,6 +158,10 @@
 	perl -pi -e \
 	's|^(.*DEFAULT_VSERVERDIR=).*$$|$$1"/etc/vservers/.defaults/vdirbase"|;' \
 		debian/util-vserver/usr/lib/util-vserver/util-vserver-vars
+
+	# remove the var directories that are managed by the initscript and are otherwise violating
+	# policy 9.3.2
+	rm -rf $(CURDIR)/debian/util-vserver/var/run
 
 	# Install bash completion
 	mkdir -p $(CURDIR)/debian/util-vserver/etc/bash_completion.d
