## util-vserver 0.30.216-pre3054

=== debian/changelog ===
util-vserver (0.30.216-pre3054-1) unstable; urgency=medium

  * New upstream release.
  * Fix FTBFS with alternative syscalls disabled (Closes: #737629).
  * Update debian/watch to check also for pre-releases.
  * Switch to debhelper 9:
    - Enable hardening flags.
    - Run upstream unit tests at build time.
  * Run autoreconf before build.
  * Build python bindings.
  * Disable mounting /tmp as tmpfs by default.

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Sat, 15 Mar 2014 18:40:09 +0100

util-vserver (0.30.216-pre3038-1) unstable; urgency=low

  * New mantainer
  * New upstream release (Closes: #605473) (Closes: #648160)
  * Update debian/copyright and switch it to dep5 format (Closes: #586510)
  * Change build dependency on automake1.9 (obsoleted) to automake

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Wed, 15 Jan 2014 14:02:15 +0100

util-vserver (0.30.216-pre2864-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #630368
    - Indonesian (Mahyuddin Susanto).  Closes: #658470
    - Polish (Michał Kułach).  Closes: #658506

 -- Christian Perrier <bubulle@debian.org>  Sun, 12 Feb 2012 08:11:44 +0100
