=== debian/control ===
Source: util-vserver
Section: net
Priority: optional
Maintainer: Carlos Alberto Lopez Perez <clopez@igalia.com>
# Reasons for the Build-Depends:
# * Legacy scripts require:
#     net-tools because of nameif
#     vlan      because of vconfig
#     dietlibc  the libc NSS should not be used
#     beecrypt2-dev to build vhashify
#     e2fslibs-dev needed for 'FS_IOC_GETFLAGS' declaration
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), gawk, autotools-dev, dietlibc-dev (>= 0.31-1.1),
 net-tools, vlan, iptables, wget, procps, module-init-tools, autoconf (>= 2.52),
 libbeecrypt-dev (>= 4.1.2-2), po-debconf, quilt (>= 0.40), libtool, automake,
 e2fslibs-dev, libnss3-dev, pkg-config, dh-autoreconf, python-dev, ctags
Standards-Version: 3.9.5.0
Homepage: http://savannah.nongnu.org/projects/util-vserver/
Vcs-Git: git://anonscm.debian.org/pkg-vserver/pkg-vserver.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-vserver/pkg-vserver.git

Package: util-vserver
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, iproute, net-tools, make, debconf, util-linux (>= 2.13.1.1-1)
Suggests: linux-image-2.6 (>= 2.6.16-17), vlan, iptables, wget, procps, module-init-tools, yum, htop, iotop
Recommends: binutils, debootstrap, python
Conflicts: vserver, vpopmail-bin
Replaces: vserver
Description: user-space tools for Linux-VServer virtual private servers
 The util-vserver project provides the user-space tools for creating and
 managing the virtualization technology known as Linux-Vserver guests.
 Linux-Vserver guests are a significantly advanced jail mechanism running
 inside a host GNU-Linux server. Linux-Vserver guests can be used to
 securely partition resources such as processes, memory, network; logically
 separate services or run entirely different distributions all on a single
 system. Virtual private servers are separated from each other through security
 contexts, and as a result are completely unaware of each other, or of the
 host itself.
 .
 http://linux-vserver.org/
 http://ftp.linux-vserver.org/pub/utils/util-vserver/
