=== debian/watch ===
version=3
http://ftp.linux-vserver.org/pub/utils/util-vserver/ util-vserver-(.*)\.tar\.bz2
http://people.linux-vserver.org/~dhozac/t/uv-testing/ util-vserver-(.*)\.tar\.bz2
