## util-vserver 0.30.216-pre3120

=== debian/changelog ===
util-vserver (0.30.216-pre3120-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix postrm failure introduced in the previous upload.
    (Closes: #850765)
  * Add Brazilian Portuguese debconf translation
    from Adriano Rafael Gomes. (Closes: #770362)

 -- Adrian Bunk <bunk@debian.org>  Tue, 17 Jan 2017 16:03:26 +0200

util-vserver (0.30.216-pre3120-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Built-Using: dietlibc (Closes: #847580)
  * Activate ldconfig trigger instead of calling ldconfig directly
    (Lintian errors)
  * Add lsb-base dependency (Lintian error)
  * Depend on iproute2 (Closes: #753739)

 -- Hilko Bengen <bengen@debian.org>  Sun, 18 Dec 2016 22:17:59 +0100

util-vserver (0.30.216-pre3120-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch dependencies from module-init-tools to kmod. (Closes: #811190)
  * Switch crypto backend from beecrypt to nss to allow beecrypt to be
    removed. (Closes: #606607)

 -- James Cowgill <jcowgill@debian.org>  Thu, 24 Mar 2016 11:46:00 +0000

util-vserver (0.30.216-pre3120-1) unstable; urgency=low

  * New upstream release.
  * Upgrade Standards-Version.
  * Move bash completition files to /usr/share/bash-completion/completions.
  * util-vserver sysvinit init script: Now it mounts /dev/cgroup accordingly
    if the option is set on /etc/default/util-vserver and the system supports
    it. It also loads vserver device maps by default if there is any configured.
  * Disable systemd support for now because is untested and enabling it would
    cause a build error: https://github.com/linux-vserver/util-vserver/issues/22
  * Add next Debian relase codename (Stretch) to the sid_style list.

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Wed, 02 Sep 2015 18:48:19 +0200
