=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,8 @@
 				--datarootdir=\$${prefix}/lib \
 				--sysconfdir=/etc --enable-dietlibc \
 				--localstatedir=/var \
-				--with-vrootdir=/var/lib/vservers
+				--with-vrootdir=/var/lib/vservers \
+				--disable-systemd
 
 override_dh_auto_install:
 	dh_testdir
@@ -75,8 +76,8 @@
 	# policy 9.3.2
 	rm -rf $(CURDIR)/debian/util-vserver/var/run
 	# Install bash completion
-	mkdir -p $(CURDIR)/debian/util-vserver/etc/bash_completion.d
-	cp $(CURDIR)/debian/vserver.bash_completion $(CURDIR)/debian/util-vserver/etc/bash_completion.d/vserver
+	mkdir -p $(CURDIR)/debian/util-vserver/usr/share/bash-completion/completions
+	cp $(CURDIR)/debian/vserver.bash_completion $(CURDIR)/debian/util-vserver/usr/share/bash-completion/completions/vserver
 	# Lintian overrides
 	mkdir -p $(CURDIR)/debian/util-vserver/usr/share/lintian/overrides
 	install -m644 debian/util-vserver.override $(CURDIR)/debian/util-vserver/usr/share/lintian/overrides/util-vserver
@@ -97,7 +98,7 @@
 	dh_installchangelogs ChangeLog
 
 override_dh_makeshlibs:
-	dh_makeshlibs -n -Xrpm
+	dh_makeshlibs -Xrpm
 
 override_dh_shlibdeps:
 	dh_shlibdeps -L util-vserver -l debian/util-vserver/usr/lib
@@ -118,3 +119,7 @@
 		echo "  End of file test-suite.log"; \
 		echo "------------------------------"; \
 	fi
+
+override_dh_gencontrol:
+	dh_gencontrol -- \
+		-Vmisc:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W dietlibc-dev)"
